Skip to content

Gets the affordability for the transactions shared for a consent.

Request

Returns the affordability of one or more accounts including monthly affordability and transactions

Security
Bearer(Required scopes: api:stored_data)
Path
consentIdstringrequired

The consent ID to fetch the affordability for

Query
accountIdstring

The account ID to fetch the affordability for. If not specified, all accounts associated with this session are returned

curl -i -X GET \
  'https://uk.api.atto.co/stored-data/v1/consents/{consentId}/affordability?accountId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Affordability Calculations for the supplied transactions linked to this consent

Bodyapplication/json
Array [
accountDetailsobject(DirectID.Insights.Service.Models.Affordability.AccountDetails)
monthAffordabilitiesArray of objects or null(DirectID.Insights.Service.Models.Affordability.MonthAffordability)

List of Month Affordability

estimatedCalculatedIncomenumber, (double)

Calculated Income Estimate

estimatedFixedCostsnumber, (double)

Calculated Fixed Cost Estimate

estimatedFlexibleCostsnumber, (double)

Calculated Flexible Costs Estimate

estimatedDebtFeesnumber, (double)

Calculated Debt Fees Estimate

estimatedAffordabilitynumber, (double)

Calculated Affordability Estimate

avgEstimatedAffordabilitynumber or null, (double)

Average Affordability Estimate

avgCalculatedIncomenumber or null, (double)

Average Calculated Income

affordabilityTransactionsArray of objects or null(DirectID.Insights.Service.Services.Models.Affordability.AffordabilityTransactions)

Calculated Affordability Transactions

]
Response
[ { "accountDetails": { … }, "monthAffordabilities": [ … ], "estimatedCalculatedIncome": 2612.62, "estimatedFixedCosts": 1448.6, "estimatedFlexibleCosts": 804.62, "estimatedDebtFees": 0, "estimatedAffordability": 359.4, "avgEstimatedAffordability": 681.03, "avgCalculatedIncome": 2371.02, "affordabilityTransactions": [ … ] } ]